# Changelog

All notable changes to this project will be documented in this file.

## [3.3.3] - September 19, 2023
- Availability form dates where inconsistent.
- Fixed event maximum guest limit.

## [3.3.2] - July 24, 2023
- Minor CSS tweaks.

## [3.3.1] - July 24, 2023
- Added missing translation keys.

## [3.3.0] - July 24, 2023
- Added support for extra room configuration.
- Fixed bug where you could book a room with an invalid configuration.
- Fixed minor dropdown styling issue.

## [3.2.11] - July 5, 2023

## [3.2.10] - June 27, 2023
- Added Terms of Service notice on hotel reservation checkout.
- Mobile responsiveness improvements.

## [3.2.9] - June 23, 2023
- Listing mobile responsive design improvements.

## [3.2.8] - May 26, 2023
- Added option to hide the company field on the reservation form.
- Added active indicator for gallery thumbnails.
- Made 'packages' overview more responsive.
- Major mobile responsive design improvements.

## [3.2.7] - May 22, 2023
- Fixed bug where listing wouldn't show any labels on mobile.
- Added option to hide 'purpose of stay' checkboxes.

## [3.2.6] - May 14, 2023
- Fixed visual bug (dropdown).

## [3.2.5] - May 14, 2023
- Reworked dropdown field.
- Fixed visual bug regarding number field button sizes.

## [3.2.4] - May 11, 2023
- Fixed bug with Event module.
- Changed default Danish translation: 'Nydelse' -> 'Fornøjelse'.
- Minor CSS tweaks.

## [3.2.3] - May 8, 2023
- Guest information is now saved upon page reload and shared between modules.

## [3.2.2] - April 30, 2023
- Added a setting that can disable newsletter signup.

## [3.2.1] - April 24, 2023
- An empty translation will now not display its translation key.
- Greatly reduced plugin size (~70%).

## [3.2.0] - April 19, 2023
- Added OCTOPUS-specific settings regarding change of Hotel and Restaurant IDs.
- Added cache control on a new admin page.
- Fixed link on the admin license page.

## [3.1.0] - March 23, 2023
- Fixed miscalculations in hotel packages.
- Redesigned hotel room addons sidebar.
- Now hiding event listing date range if it exceeds 180 days.
- Minor CSS tweaks.

## [3.0.16] - March 21, 2023
- Minor CSS tweaks.

## [3.0.15] - March 15, 2023
- Added setting to hide 'stay' listings (event).

## [3.0.14] - March 14, 2023
- Fixed CSS cache bug on plugin update.

## [3.0.13] - March 14, 2023
- Added setting to hide available rooms on listings.
- Added setting to hide 'events' listings (event).
- Made small visual adjustments to gallery thumbnails.

## [3.0.12] - March 13, 2023
- Fixed issue with event booking.
- Added missing translation keys.

## [3.0.11] - March 7, 2023
- Added 'link-color' short-code option.
- Added 'button-icon-color' short-code option.
- Added 'input-font-color' short-code option.
- Made gallery thumbs smaller when there is more than 6.

## [3.0.10] - January 18, 2023
- Added option to hide 'prices from' from listings.
- Added input focus on number, date and, time fields.

## [3.0.9] - January 13, 2023
- Fixed double booking on hotel.
- Added two missing translations.
- Minor style improvements.

## [3.0.8] - January 6, 2023
- Fixed double submit on gift card.

## [3.0.7] - January 2, 2023
- Added proper sanitization for editor translation fields.
- Added 'prices from' on listings.
- Fixed date picker bug.
- Added a notice for 'no rooms available' error.
- Minor style improvements.

## [3.0.6] - November 15, 2022
- Added 'Read more' button on listings.
- Updated input fields for selecting guests.

## [3.0.5] - November 10, 2022
- Removed 'same parameters' booking search restriction for hotel module (For usability).
- Set default adults and children values based on availability search.
- Changed default translations for gift card 'name', 'email' and 'remark' fields.
- Greatly reduced plugin size.

## [3.0.4] - October 19, 2022
- General stability.

## [3.0.3] - September 25, 2022
- Fixed bug where gallery would not load correctly.

## [3.0.2] - September 21, 2022
- Minor changes.

## [3.0.1] - September 19, 2022
- Minor changes.

## [3.0.0] - September 18, 2022 (Major release)
- Added event booking module (Shortcode: [fresh-booking-event]).
- Added gift card validation form (Shortcode: [fresh-booking-gift-card-validation]).
- Renamed shortcode ([fresh-booking-reservation] -> [fresh-booking-hotel])
- Updated frontend framework to Vue 3.
- Updated time and date input fields.
- Updated rich-text editor input field.
- Added option to return to default translations.
- Updated default translation for gift card module title.
- Added description for gift card module.
- Added missing translations in the admin panel.
- Redesign order confirmation page.

### [!] Breaking changes
- License generation now requires a Stripe customer ID, acquired from an active FreshBooking subscription.

## [2.1.1] - June 21, 2022
- Made adjustments to the gift card module.

## [2.1.0] - June 21, 2022
- Added Octopus packages (Enabled from admin panel).
- Added suggested dates, when searching for availability.
- Added field in reservation for newsletter sign up.
- Added a setting in the admin panel to make the gift card voucher field optional.
- Made searching for availability more robust.

## [2.0.0] - April 24, 2022 (Major release)
- Rebranded plugin to 'FreshBooking'.
- Introduced a new license system (Found in the admin panel).
- Added gift card module (Shortcode: [fresh-booking-gift-card]).
- Added support for ReePay (Gift card only).
- Fixed bug with 'OneTimePayment' addons.
- General stability improvements.

### [!] Breaking changes
- The new license system requires a manuel Octopus login.
- Upcoming renaming of existing shortcodes:
   - [octopus-availability] -> [fresh-booking-availability]
   - [octopus-booking] -> [fresh-booking-reservation]
   - [octopus-button] -> [fresh-booking-navigation]

## [1.7.2] - February 23, 2022
- Improved the booking flow for non-NETS clients.
- Updated the reservation confirmation message.

## [1.7.1] - January 13, 2022
- Enforced sticky footer on booking page.
- Minor localization improvements.

## [1.7.0] - January 6, 2022
- Added an option to hide arrival & departure time completely.
- Added an option to disable selection of title (person's name).
- Added two new icons for the room listing overview.
- Added 'header-layout' parameter to the booking shortcode.
- Disabling arrival and or departure time selection for users, now removes those input fields from the reservation page.

## [1.6.3] – December 7, 2021
- Reworked algorithm for displaying room listings.
- Better enforcement of styling.

## [1.6.2] – December 2, 2021
- Added two new customizations for Availability and Booking shortcodes: "calendar-weekend-color" & "calendar-highlighted-color".
- Fixed visual input field bug when choosing to disable either child or adult selection.

## [1.6.1] – November 30, 2021
- Fixed bug with displayed prices over a time range.

## [1.6.0] – November 29, 2021
- Added missing translations.
- Translated the Google ReCaptcha notice (Danish & English).
- Major under-the-hood improvements.

## [1.5.3] – October 26, 2021
- Fixed bug with image zoom on gallery images.

## [1.5.2] – October 25, 2021
- General stability improvements.

## [1.5.1] – August 10, 2021
- EasyPayment integration hotfix.

## [1.5.0] – July 13, 2021
- Added support for room addons at checkout.
- Fixed a bug where rooms with 0 availability would still be rendered.
- Added plugin homepage url and banners to info panel.

## [1.4.1] – June 29, 2021
- Fixed bug with the availability data expiry logic
- Fixed visual bug with the time-field component

## [1.4.0] – June 28, 2021
- Updated to v2 of API, featuring optimized fetching of static metadata.
- Added "click to zoom" on gallery images.
- Fixed issues with autocompletion on the reservation form.
- Fixed visual bug with gallery thumbnails on mobile.
- Added dialog prompt when confirming a reservation.
- Updated secondary button design.

## [1.3.4] – June 14, 2021
- Reduced javascript bundle sizes.
- Fixed styling bug with the time-picker.
- Fixed bug where time-picker settings wouldn't change the frontend.

## [1.3.3] – June 3, 2021
- Fixed arrival and departure ranges for time-pickers.

## [1.3.2] – May 31, 2021
- Changed icon for units.
- Fixed bug when updating settings.

## [1.3.1] – May 30, 2021
- Hotfix (Reservation creation endpoint).

## [1.3.0] – May 26, 2021
- Added Google reCaptcha support when creating reservation.
- Implemented 'no_update' WP API to enable automatic plugin updates.
- Added internal monitoring to catch and log plugin issues and errors.

## [1.2.4] – May 21, 2021
- Added shortcode parameter to change layout for booking offers ('selective' or 'wholesale').
- Added new tracking events: 'view_item', 'purchase' and 'begin_checkout'.
- Fixed a bug where a reservation would show 'walk-in' instead of the name of the customer.

## [1.2.3] – May 19, 2021
- Made some styling changes to the number field for better usability.
- Fixed bug where radio boxes were not rounded.

## [1.2.2] – May 19, 2021
- Added initial tracking via gtag (Currently for the events: add_to_cart & remove_from_cart).

## [1.2.1] – May 18, 2021
- Reworked modal integration.

## [1.2.0] – May 18, 2021
- Reworked offer selection UI.
- Fixed mobile responsiveness for modals.
- Added expiry logic for the availability form on the booking page.
- Refined plugin update fetching logic.

## [1.1.0] – April 28, 2021
- Localized date picker.
- Added button WP shortcode (Early release).
- Added custom attribute support for all WP shortcodes.
- Refactored TypeScript interface declarations.
- Redone availability module responsive design.
- Made changes to avoid potential CSS conflicts on outside environments.

## [1.0.0] – April 20, 2021
- Initial plugin release.