<?php

use Kucrut\Vite;

function EnqueueTargetScript(string $handle): void {
   wp_enqueue_script($handle);
   wp_enqueue_style($handle . '-0');
}

function SetStyle(): void {
   wp_enqueue_style(
      'freshbooking-css',
      plugin_dir_url(__DIR__) . 'target/assets/style.css',
      [],
      filemtime(plugin_dir_path(__DIR__) . 'target/assets/style.css')
   );
}

function RegisterTargetScript(string $handle, ?Array $dependencies = array()): void {
   Vite\register_asset(
      plugin_dir_path(__DIR__) . 'target',
      'src/entries/' . $handle . '.ts',
      [
         'handle' => $handle,
         'dependencies' => $dependencies,
         'css-media' => 'all', // Optional.
         'css-only' => false, // Optional. Set to true to only load style assets in production mode.
         'in-footer' => true, // Optional. Defaults to false.
      ]
   );
}

function ConvertWPAttsToVueAtts(Array $atts): string {
   $atts = array_change_key_case( (array) $atts, CASE_LOWER );
   $dataAttributes = array_map(function($value, $key) {
      if (is_numeric($value) || is_bool($value)) {
         $key = ':'.$key;
      }
      return $key.'="'.$value.'"';
   }, array_values($atts), array_keys($atts));

   return implode(' ', $dataAttributes);
}